DEVICE=$1
EXP_NAME=$2
LR=$3
WARMUP=$4
PB=$5
GB=$6
MB=$7
MICRO=$8
REQUANT=$9

mkdir results/$EXP_NAME
CUDA_VISIBLE_DEVICES=$DEVICE \
  python ./main.py --arch resnet50 \
  --workspace results/$EXP_NAME \
  /data/LargeData/Large/ImageNet/ \
  -b 32 \
  --lr $LR \
  --warmup $WARMUP \
  --no-checkpoint \
  --lbmqt \
  --pb 32 \
  --gb 32 \
  --mb 32 \
  --num-micro-batches $MICRO \
  --num-steps-requantization $REQUANT
