DEVICE=$1
EXP_NAME=$2
BATCH=${3:-512}
LR=${4:-0.512}
WARMUP=${5:-8}

CUDA_VISIBLE_DEVICES=$DEVICE \
  python ./launch.py --model resnet50 \
  --precision FP32 \
  --mode convergence \
  --platform DGX1V \
  ~/ImageNet \
  --epochs 90 \
  --mixup 0.0 \
  --workspace $EXP_NAME \
  --raport-file raport.json \
  -b $BATCH \
  --optimizer-batch-size $BATCH \
  --lr $LR \
  --warmup $WARMUP \
  --no-checkpoint
