/*
 * Use pytorch c++ extension to export c++ functions to python
 */

#include <ATen/ATen.h>
#include <torch/extension.h>
#include <ATen/NativeFunctions.h>



PYBIND11_MODULE(TORCH_EXTENSION_NAME, m) {
  m.def("cudnn_convolution_backward",           &at::cudnn_convolution_backward);
  m.def("cudnn_convolution_transpose_backward", &at::cudnn_convolution_transpose_backward);
}
